package com.qtzl.sample.manager.task;

import com.qtzl.sample.manager.sf.SFFileManager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/***
 * <p>
 *  流水记录解析日志，以天为单位. 年初生成当年数据
 * </p>
 * @author hou yi
 * @date 2022/8/25 15:19
 **/
@Component
public class SFFileTask {

    private static final Logger log = LoggerFactory.getLogger(SFFileTask.class);

    @Resource
    private SFFileManager sfFileManager;

//    @Scheduled(cron = "0 0 0 * * * *")
    public void generate() {
        sfFileManager.createFile("20220908");
    }
}
