package com.qtzl.sample.manager.tools;

import java.util.regex.Pattern;

/**
 * 校验正则表达式工具类
 */
public class MyPatternTools {

	public static final String  numberPat= "[0-9]*";

	public static final String idCard = "^(11|12|13|14|15|21|22|23|31|32|33|34|35|36|37|41|42|43|44|45|46|50|51|52|53|54|61|62|63|64|65)\\d{15}(\\d{1}|X)$";

	public static final String mobile = "^13[0-9]{9}|14[0-9]{9}|15[0-9]{9}|17[0-9]{9}|18[0-9]{9}|19[0-9]{9}|16[0-9]{9}$";

	public static final String plateNum = "^([京津沪渝冀豫云辽黑湘皖鲁新苏浙赣鄂桂甘晋蒙陕吉闽贵粤青藏川宁琼使领A-Z0-9]{1}[A-Z0-9]{1}([京津沪渝桂蒙宁新藏冀晋辽吉黑苏浙皖赣闽鲁粤鄂湘豫川云贵陕甘青琼])?[A-NP-Z0-9]{1}[A-NP-Z0-9]{3}[A-NP-Z0-9挂学警港澳领试超外]{1}([A-NP-Z0-9外])?)|^([A-Z0-9]{7})$";

	public static final String etcCardId = "^[A-Z0-9]+$";

	public static final String obuId = "^[A-Z0-9]+$";

	public static final String nickName = "^[0-9a-zA-Z\\u4e00-\\u9fa5·\\*]{2,16}$";

	public static final String blacklistType = "(1|2)";

	public static final String plateColorRegexp = "(0|1|2|3|4|5|6|7|9|11|12)";
	//时间
	public static final String dateTimeRegexp = "(\\d{4})-([0-1]\\d)-([0-3]\\d)T([0-5]\\d):([0-5]\\d):([0-5]\\d)(.{0,1}\\d{0,3})" ;
	//日期
	public static final String dateRegexp = "(\\d{4})-([0-1]\\d)-([0-3]\\d)";

	public static final String obuStatusRegexp = "(1|6|101|102|103|104|105)";

	public static final String brand="(1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21)";

	public static final String blacklistReasonRegexp = "(1|2)";

	public static final String basicRegexp="[1,2]";

	public static final String cardStatusRegexp="(1|2|3|4|5|6)";

	public static final String cardTypeRegexp = "(111|112|113|121|122|123|131|132|133|141|142|143|151|152|153|211|212|213|221|222|223|231|232|233|241|242|243|251|252|253)";

	public static final String accountIdTypeRegexp="(101|102|103|104|105|106|113|114|201|202|203|204|205|206|199|299)";

	public static final String signCardType="(1|2|3|4)";

	public static final String bindOffLineStatus="(1|2|3)";

	public static final String channelTypeRegexp="[0-9]{1,3}";

	public static final String obuInstallTypeRegexp = "(1|2)";

	public static final String useCharacterTypeRegexp="(1|2|6|7|8|9|10)";

	public static final String issueTypeRegexp="(1|2|3)";

	public static final String vehicleTypeRegexp="(0|1|2|3|4|11|12|13|14|15|16|21|22|23|24|25|26)";

	public static boolean match(String regular ,String targetStr) {
		return Pattern.compile(regular).matcher(targetStr).matches();
	}

	public static void main(String[] args) {

		System.out.println(match(mobile, "15186070493"));

	}
}
