
package com.qtzl.sample.manager.tools;

/**
 *  黔通 code 枚举类
 * @author hou yi
 * @date 2022年7月15日 上午10:55:56
 */
public enum QtCodeEnum {
	/***
	 * 枚举定义
	 */
	LM_TRANS_BILL("IF01001202209150822", "根据版本号获取路盟接口"),
	QUERY_CAR_INFO("IF01010201712070031","车辆信息查询"),
	;
	
	private String code;
	
	private String description;
	

	/**
	 * @param code
	 * @param description
	 */
	private QtCodeEnum(String code, String description) {
		this.code = code;
		this.description = description;
	}

	/**
	 * @return the code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * @param code the code to set
	 */
	public void setCode(String code) {
		this.code = code;
	}

	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	
	
}
